#
# Makefile created by mfg (version 2.2)
#

TARGET =	calc
HEADERS =	Calc.h
SOURCES =	Calc.m main.m
OBJECTS =	Calc.o main.o
CLEAN =		Calc.o main.o

#>		--- do not remove this line ---
AR =		ar
ARFLAGS =	cr
BINEXT =
CC =		@CC@
CFLAGS =	@CFLAGS@# -Wall -Wno-parentheses -Wno-import
CPPFLAGS =	@CPPFLAGS@
DEFS =		@DEFS@
DISTCLEAN =	Makefile config.h config.cache config.log config.status libtool
INCLUDES =	@GTK_CFLAGS@
INSTALL =	@INSTALL@
INSTALL_DATA =	$(INSTALL) -m 644
INSTALL_PROGRAM =	$(INSTALL) -s
LDFLAGS =	@LDFLAGS@
LEX =		@LEX@
LIBS =		-lGToolKit @LIBS@ -lobjc @GTK_LIBS@ @PTHREAD@# -lm
LIBTOOL =	@LIBTOOL@ $(LTFLAGS)
LPR =		lpr -h
PROGRAMS =	$(OBJECTS:.o= )
RANLIB =	@RANLIB@
RM =		rm -f
VERSION =	0
YACC =		@YACC@

prefix =	@prefix@
exec_prefix =	@exec_prefix@
bindir =	@bindir@
datadir =	@datadir@
includedir =	@includedir@
infodir =	@infodir@
libdir =	@libdir@
libexecdir =	@libexecdir@
mandir =	@mandir@
sbindir =	@sbindir@
sysconfdir =	@sysconfdir@
top_builddir =	@top_srcdir@

COMPILE =	$(CC) -c $(CFLAGS) $(DEFS) $(INCLUDES) $(CPPFLAGS)

.SUFFIXES:	.l .y .m
.c.o:
		$(COMPILE) $< -o $@
.m.o:
		$(COMPILE) $< -o $@
.l.c:
		$(LEX) $(LFLAGS) -t $< >$@
.y.c:
		$(YACC) $(YFLAGS) -d $<
		mv y.tab.c $*.c
		cmp -s y.tab.h $*.h || cp y.tab.h $*.h
.y.h:
		$(YACC) $(YFLAGS) -d $<
		mv y.tab.c $*.c
		cmp -s y.tab.h $*.h || cp y.tab.h $*.h

SHELL =		/bin/sh

$(TARGET):	$(OBJECTS) $(ADDLIBS)
		$(CC) $(LDFLAGS) $(OBJECTS) $(ADDLIBS) $(LIBS) -o $@

check:		$(TARGET)

clean:
		$(RM) $(CLEAN) $(TARGET) $(TARGET)$(BINEXT) core

distclean:	clean
		$(RM) $(DISTCLEAN)

print:
		$(LPR) $(HEADERS) $(SOURCES)

install:	$(TARGET)
		$(INSTALL_PROGRAM) $(TARGET)$(BINEXT) $(bindir)

uninstall:
		$(RM) $(bindir)/$(TARGET)$(BINEXT)

#>		--- do not remove this line ---

Force_Update:

Calc.o:	Calc.m Calc.h

main.o:	main.m Calc.h
